import { fw } from 'rage-fw-client'

fw.player.registerBrowser(mp.browsers.new('package://cef/index.html'))

fw.event.register('cefReady', async () => {
    fw.system.log.info('cefReady')

    const responseCef = await fw.player.triggerBrowser('customCefEvent', [
        'from client',
    ])
    fw.system.log.info(responseCef)

    await fw.player.triggerServer('customServerEvent', ['from client'])
})
